当前位置:首页 > 开发 > 编程语言 > 持续集成 > 正文

解决maven-dependency-plugin (goals "copy-dependencies","unpack") is not supported

发表于: 2015-01-27   作者:xp9802   来源:转载   浏览:
摘要: 解决办法:在plugins之前添加如下pluginManagement,二者前后顺序如下:   [html]  view plain copy   <build>           <pluginManagement

解决办法:在plugins之前添加如下pluginManagement,二者前后顺序如下:

 

[html]  view plain copy
 
  1. <build>  
  2.         <pluginManagement>  
  3.             <plugins>  
  4.                 <plugin>  
  5.                     <groupId>org.eclipse.m2e</groupId>  
  6.                     <artifactId>lifecycle-mapping</artifactId>  
  7.                     <version>1.0.0</version>  
  8.                     <configuration>  
  9.                         <lifecycleMappingMetadata>  
  10.                             <pluginExecutions>  
  11.                                 <pluginExecution>  
  12.                                     <pluginExecutionFilter>  
  13.                                         <groupId>org.apache.maven.plugins</groupId>  
  14.                                         <artifactId>maven-dependency-plugin</artifactId>  
  15.                                         <versionRange>[2.0,)</versionRange>  
  16.                                         <goals>  
  17.                                             <goal>copy-dependencies</goal>  
  18.                                         </goals>  
  19.                                     </pluginExecutionFilter>  
  20.                                     <action>  
  21.                                         <ignore />  
  22.                                     </action>  
  23.                                 </pluginExecution>  
  24.                             </pluginExecutions>  
  25.                         </lifecycleMappingMetadata>  
  26.                     </configuration>  
  27.                 </plugin>  
  28.             </plugins>  
  29.         </pluginManagement>  
  30.         <plugins>  
  31.             <plugin>  
  32.                 <groupId>org.apache.maven.plugins</groupId>  
  33.                 <artifactId>maven-dependency-plugin</artifactId>  
  34.                 <executions>  
  35.                     <execution>  
  36.                         <id>copy-dependencies</id>  
  37.                         <phase>package</phase>  
  38.                         <goals>  
  39.                             <goal>copy-dependencies</goal>  
  40.                         </goals>  
  41.                         <configuration>  
  42.                             <outputDirectory>${project.build.directory}/lib</outputDirectory>  
  43.                             <excludeTransitive>false</excludeTransitive>  
  44.                             <stripVersion>true</stripVersion>  
  45.                         </configuration>  
  46.                     </execution>  
  47.                 </executions>  
  48.             </plugin>  
  49.         </plugins>  
  50.     </build> 

解决maven-dependency-plugin (goals "copy-dependencies","unpack") is not supported

  • 0

    开心

    开心

  • 0

    板砖

    板砖

  • 0

    感动

    感动

  • 0

    有用

    有用

  • 0

    疑问

    疑问

  • 0

    难过

    难过

  • 0

    无聊

    无聊

  • 0

    震惊

    震惊

编辑推荐
Maven异常: maven-dependency-plugin (goals copy-dependencies unpack ) is not supported by m2e
http://stackoverflow.com/questions/20797443/intellij-idea-subversion-checkout-error http://st
启库时报00845错误 查看告警日志: $tail -f /u01/app/oracle/diag/rdbms/testdb12/TestDB12/alert/
从这 http://subversion.apache.org/packages.html 下载svn客户端二进制包后修改phpstorm配置中 svn
http://hi.baidu.com/silvanote/item/ac6495fac7123225743c4ccc 报 Not supported native extension
ld: warning: embedded dylibs/frameworks only run on iOS 8 or later ld: embedded dylibs/framew
这个问题是由于installed jres里面关于字符集的设置不对引起的。 编辑上面这个jre可以看到 上面的li
最近在调试数据库时使用了DbVisualizer这款客户端,但在执行SQL语句时报了这个错,如图: 从信息上
SharePoint 2007计算列,按照微软Office的官方说明,我们应该这样使用。 http://office.microsoft.c
from:http://blog.codestage.ru/2012/03/07/packed/ Packed SWF. How to unpack? Hey, friends! In
版权所有 IT知识库 CopyRight © 2009-2015 IT知识库 IT610.com , All Rights Reserved. 京ICP备09083238号